Re: compile failure on 2.6.19
- From: Robin Cook <rcook@xxxxxxxxx>
- Date: Sun, 31 Dec 2006 14:41:25 -0600
That fixed the problem.
Thanks
On Sun, 2006-12-31 at 10:27 -0800, David Brown wrote:
On 12/31/06, Robin Cook <rcook@xxxxxxxxx> wrote:
I am getting this error when I try to compile 2.6.19 and 2.6.19.1.
I ran make mrproper and make menuconfig then ran make and got the below
error.
HOSTLD scripts/kconfig/conf
scripts/kconfig/conf -s arch/i386/Kconfig
CHK include/linux/version.h
UPD include/linux/version.h
/bin/sh: -c: line 0: syntax error near unexpected token `('
/bin/sh: -c: line 0: `set -e; echo ' CHK
include/linux/utsrelease.h'; mkdir -p include/linux/; if [ `echo -n
"2.6.19.1 .file null .ident
GCC:(GNU)4.1.1 .section .note.GNU-stack,,@progbits" | wc -c ` -gt 64 ];
then echo '"2.6.19.1 .file null .ident
GCC:(GNU)4.1.1 .section .note.GNU-stack,,@progbits" exceeds 64
characters' >&2; exit 1; fi; (echo \#define UTS_RELEASE \"2.6.19.1 .file
null .ident GCC:(GNU)4.1.1 .section .note.GNU-stack,,@progbits\";) <
include/config/kernel.release > include/linux/utsrelease.h.tmp; if [ -r
include/linux/utsrelease.h ] && cmp -s include/linux/utsrelease.h
include/linux/utsrelease.h.tmp; then rm -f
include/linux/utsrelease.h.tmp; else echo ' UPD
include/linux/utsrelease.h'; mv -f include/linux/utsrelease.h.tmp
include/linux/utsrelease.h; fi'
make: *** [include/linux/utsrelease.h] Error 2
I'd check /dev/null and make sure it's not a regular file this
happened to me a while back
- David Brown
Attachment:
signature.asc
Description: This is a digitally signed message part
- References:
- compile failure on 2.6.19
- From: Robin Cook
- Re: compile failure on 2.6.19
- From: David Brown
- compile failure on 2.6.19
- Prev by Date: Re: fuse, get_user_pages, flush_anon_page, aliasing caches and all that again
- Next by Date: Re: [PATCH] Open Firmware device tree virtual filesystem
- Previous by thread: Re: compile failure on 2.6.19
- Next by thread: [PATCH] Documentation: Explain a second alternative for multi-line macros.
- Index(es):
Relevant Pages
- Re: compile failure on 2.6.19
... UPD include/linux/version.h ... then echo '"2.6.19.1 .file null .ident
... include/linux/utsrelease.h.tmp; else echo ' UPD ... das eine Mal als
Tragödie, ... (Linux-Kernel) - Re: [2.6.16rc2] compile error
... Alexander Fieroch writes: ... .file null .ident GCC:4.0.320060128 ...
include/linux/version.h.tmp; else echo ' UPD ... (Linux-Kernel) - compile failure on 2.6.19
... I ran make mrproper and make menuconfig then ran make and got the below ...
UPD include/linux/version.h ... then echo '"2.6.19.1 .file null .ident ...
include/linux/utsrelease.h.tmp; else echo ' UPD ... (Linux-Kernel) - Re: compile failure on 2.6.19
... CHK include/linux/version.h ... UPD include/linux/version.h ...
then echo '"2.6.19.1 .file null .ident ... include/linux/utsrelease.h.tmp; else echo
' UPD ... (Linux-Kernel) - 2.6.16-rc1-git1 -- Build error "make: *** [include/linux/version.h] Error 2"
... '"2.6.16-rc1-git1 .file null .ident ... include/linux/version.h.tmp; else echo
' UPD ... More majordomo info at http://vger.kernel.org/majordomo-info.html ...
(Linux-Kernel)